https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/remotelinkCreates or updates a remote issue link for an issue. If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created. This operation requires issue linking to be active. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* and *Link issues* project permission for the project that the issue is in. * If issue-level security is configured, issue-level security permission to view the issue.
The ID or key of the issue.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/remotelink' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/remotelinkCreates or updates a remote issue link for an issue. If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created. This operation requires issue linking to be active. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* and *Link issues* project permission for the project that the issue is in. * If issue-level security is configured, issue-level security permission to view the issue.
The ID or key of the issue.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/remotelink' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}